<template>
  <v-card>
    <v-card-title>Informação Pessoal</v-card-title>
    <v-list v-if="user">
      <template v-for="field in fields">
        <v-divider :key="`divider-${field.id}`" />
        <v-list-item
          :key="`data-${field.id}`"
          two-line
        >
          <v-list-item-avatar>
            <v-icon>{{field.icon}}</v-icon>
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title>{{user[field.id]}}</v-list-item-title>
            <v-list-item-subtitle>{{field.name}}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </template>
    </v-list>
    <v-skeleton-loader
      v-else
      type="list-item-two-line"
    />
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue'
import { fields } from '@/util/user-fields'

export default Vue.extend({
  name: 'personal-information-card',
  props: {
    user: { type: Object }
  },
  data () {
    return {
      fields
    }
  }
})
</script>
